
QGIS Application - Bug report #11087

Modeler, help from QGIS 2.2 don't work in QGIS 2.4

2014-08-21 03:24 AM - Marcin Bochinski

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 19420

Description

Hi,

i create model in QGIS. It's work in GIS 2.2 and 2.4, also i want create help to them. 

When i create help to model in qgis 2.2 then i don't see it in qgis 2.4.

When i create help to model in qgis 2.4 then in qgis 2.2 i see:

Traceback (most recent call last):

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerDialog.py", line 169, in runModel

    dlg = ParametersDialog(alg)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\gui\\ParametersDialog.py", line 42, in __init__

    AlgorithmExecutionDialog.__init__(self, alg, self.scrollArea)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\gui\\AlgorithmExecutionDialog.py", line 105, in __init__

    if self.alg.helpFile():

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerAlgorithm.py", line 743, in helpFile

    return h2h.getHtmlFile(self, helpfile)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\gui\\Help2Html.py", line 45, in getHtmlFile

(...)

I attached small model with help created in qgis 2.2.

Related issues:

Related to QGIS Application - Bug report # 11433: Processing: Help editor doe... Closed 2014-10-17

History

#1 - 2014-08-29 11:01 PM - Jürgen Fischer

- Category set to 94

#2 - 2014-11-22 03:21 AM - Alexander Bruy

- Category changed from 94 to Processing/Modeller

This is caused by recent modeler overhaul

#3 - 2015-05-22 12:10 AM - Paolo Cavallini

- Resolution set to wontfix

- Status changed from Open to Closed
I think we can close this, as nobody is going to fix it.

Files

Help_test.model 668 Bytes 2014-08-21 Marcin Bochinski

Help_test.model.help 31 Bytes 2014-08-21 Marcin Bochinski
